Page MenuHomePhabricator

document pywikibot.error and pywikibot.exception
Open, LowestPublic

Event Timeline

valhallasw raised the priority of this task from to Needs Triage.
valhallasw updated the task description. (Show Details)
valhallasw added a subscriber: valhallasw.
jayvdb added a subscriber: jayvdb.Jan 2 2015, 4:30 PM

Note this is not about pywikibot.Error ;-)

By "document" what do you mean ? Where should this be documented ? What sort of information additionally should be added ?

I clearly should have written a better bug report, because I can't reproduce the exact point ;-)

This is about the functions 'error' and 'exception' in https://github.com/wikimedia/pywikibot-core/blob/master/pywikibot/logging.py.

def output documents the meaning of the various parameters, but all of the other logging functions (def error, but also e.g. def warning, which was not mentioned in the bug title) are missing the extended documentation. That documentation should be added.

Xqt triaged this task as Lowest priority.Sep 5 2018, 4:29 PM
Xqt added a project: good first bug.

I am on it @valhallasw . I have documented the warning( ). Soon will take up the rest non-documented functions.
Thanks for reporting.

Xqt assigned this task to Urstrulykkr.Jan 13 2019, 10:24 AM
Dvorapa added a subscriber: Dvorapa.EditedJan 13 2019, 3:47 PM

I am on it @valhallasw . I have documented the warning( ). Soon will take up the rest non-documented functions.
Thanks for reporting.

Hello, you made a pull request to GitHub repository mirror. Please see my comment there to make a correct pull request on Gerrit repository

I'm unable to access /sign into my Gerrit account. Need some help.

Is there anyway to contribute through GitHub ?

Dvorapa added a comment.EditedJan 13 2019, 6:18 PM

So why not start a new account? Or try the patch uploader I linked to?

No, there is no such way (see T37497).

I tried the latter one, but not fruitful.
Is there a way to contribute via GitHub?

Thanks @Dvorapa will figure it out on my own.

If any help needed, ask here, in the mailing list or on IRC chat

@Dvorapa Could you please have a look over my pushed change .

@valhallasw Sorry for the great delay, I have pushed the code . Would be great if you suggest any changes.

Dvorapa added a comment.EditedJan 26 2019, 8:49 PM

We reviewed your work there, please fix the issues!

Hi @Dvorapa
Thanks for your patience. Could you please look over my commit ?

There are multiple errors you should fix. I and @valhallasw gave you ideas what to fix there. Also there are errors reported by jenkins bot. We are waiting for your fixes :)

Change 486715 had a related patch set uploaded (by Xqt; owner: Kaushik Reddy):
[pywikibot/core@master] Re-added the warning() documentation

https://gerrit.wikimedia.org/r/486715

Change 486715 merged by jenkins-bot:
[pywikibot/core@master] Re-added the warning() documentation

https://gerrit.wikimedia.org/r/486715

Dvorapa added a comment.EditedFeb 13 2019, 12:00 PM

Hi @Dvorapa
Thanks for your patience. Could you please look over my commit ?

Your commit was briefly edited and merged, thank you for your struggle with Gerrit and see you later!

@Urstrulykkr: Thanks for your patch. All Gerrit patches merged, can this task be closed as resolved (you can do that via Add Action...Change Status in the dropdown menu) or is there more work to do?

@Aklapper error and exception still need better docs

Hi guys,

That's so good to hear.
I think I will close it. Thanks for the update :)

Best,
Kaushik.